Subject: [bug#77266] [PATCH v3 0/2] gnu: Merge xorg configurations when extending.

From: Ian Eure <[email-masked]>
Date: Sat, 19 Apr 2025 23:21:19 -0700

I reworded the documentation, and improved the example.

While I was in here, I also fixed the TODO on `set-xorg-configuration'.
Rather than assuming gdm on x86 and sddm on everything else, it now looks up
the service-type containing xorg configuration with
`desktop-services-for-system'.

Ian Eure (2):
  gnu: Merge xorg configurations when extending.
  gnu: set-xorg-configuration: Be smarter finding the display-manager.

 doc/guix.texi            | 49 +++++++++++++++++++++++++++--
 gnu/services/desktop.scm |  1 +
 gnu/services/xorg.scm    | 67 +++++++++++++++++++++++++++++++---------
 3 files changed, 101 insertions(+), 16 deletions(-)

-- 
2.49.0